Module javafx.graphics
Package javafx.scene

## Class SnapshotResult

- java.lang.Object
- - javafx.scene.SnapshotResult

-     public class SnapshotResult
      extends Object

  This class holds the result of a snapshot operation.
  Since:
    JavaFX 2.2

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `WritableImage` | `getImage()` | Gets the image generated by the snapshot operation.
    `SnapshotParameters` | `getSnapshotParameters()` | Gets a copy of the SnapshotParameters used to generate the snapshot.
    `Object` | `getSource()` | Gets the source Node or Scene on which the snapshot was called.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getImage

          public WritableImage getImage()

      Gets the image generated by the snapshot operation.
      Returns:
        the generated image

    - #### getSource

          public Object getSource()

      Gets the source Node or Scene on which the snapshot was called.
      Returns:
        the source of the snapshot

    - #### getSnapshotParameters

          public SnapshotParameters getSnapshotParameters()

      Gets a copy of the SnapshotParameters used to generate the snapshot. This will be null in the case of snapshot being called on a Scene.
      Returns:
        a copy of the SnapshotParameters used to perform the snapshot, or null